=== modified file 'drizzled/common_fwd.h'
--- drizzled/common_fwd.h	2011-03-28 22:16:45 +0000
+++ drizzled/common_fwd.h	2011-03-28 23:02:08 +0000
@@ -81,6 +81,7 @@
 
 namespace message
 {
+  class AlterTable;
   class Resultset;
   class Schema;
   class Statement;
@@ -96,6 +97,7 @@
 { 
   class Client;
   class EventObserverList;
+  class Function;
   class MonitoredInTransaction;
   class Scheduler;
   class StorageEngine;
@@ -124,6 +126,11 @@
   class ResultSet;
 }
 
+namespace statement 
+{ 
+  class Statement; 
+}
+
 namespace table 
 { 
   class Placeholder; 
@@ -158,8 +165,10 @@
 class Arg_comparator;
 class CachedDirectory;
 class CopyField;
+class CopyInfo;
 class CreateField;
 class Create_func;
+class Cursor;
 class Date;
 class DateTime;
 class Diagnostics_area;
@@ -167,6 +176,7 @@
 class DrizzleXid;
 class Field;
 class Field_blob;
+class file_exchange;
 class ForeignKeyInfo;
 class Hybrid_type;
 class Hybrid_type_traits;
@@ -176,6 +186,7 @@
 class Item_bool_func2;
 class Item_equal;
 class Item_field;
+class Item_func;
 class Item_func_set_user_var;
 class Item_ident;
 class Item_in_subselect;

=== modified file 'drizzled/file_exchange.h'
--- drizzled/file_exchange.h	2011-03-28 02:46:21 +0000
+++ drizzled/file_exchange.h	2011-03-28 23:02:08 +0000
@@ -24,8 +24,7 @@
 #include <drizzled/memory/sql_alloc.h>
 #include <drizzled/enum.h>
 
-namespace drizzled
-{
+namespace drizzled {
 
 extern const charset_info_st *default_charset_info;
 

=== modified file 'drizzled/plugin.h'
--- drizzled/plugin.h	2011-03-28 22:16:45 +0000
+++ drizzled/plugin.h	2011-03-28 23:02:08 +0000
@@ -39,14 +39,8 @@
   Plugin API. Common for all plugin types.
 */
 
-
-class sys_var;
-struct option;
-
 extern boost::filesystem::path plugin_dir;
 
-namespace plugin { class StorageEngine; }
-
 /*
   Macros for beginning and ending plugin declarations. Between
   DRIZZLE_DECLARE_PLUGIN and DRIZZLE_DECLARE_PLUGIN_END there should

=== modified file 'drizzled/records.h'
--- drizzled/records.h	2011-03-28 22:16:45 +0000
+++ drizzled/records.h	2011-03-28 23:02:08 +0000
@@ -23,8 +23,7 @@
 
 namespace drizzled {
 
-class Cursor; // todo: common fwd
-
+ 
 struct ReadRecord {			/* Parameter to read_record */
   Table *table;			/* Head-form */
   Cursor *cursor;

=== modified file 'drizzled/show.h'
--- drizzled/show.h	2011-03-14 05:40:28 +0000
+++ drizzled/show.h	2011-03-28 23:02:08 +0000
@@ -31,13 +31,7 @@
 
 #include <drizzled/visibility.h>
 
-namespace drizzled
-{
-
-/* Forward declarations */
-class Session;
-class Table_ident;
-struct charset_info_st;
+namespace drizzled {
 
 int wild_case_compare(const charset_info_st * const cs, 
                       const char *str,const char *wildstr);

=== modified file 'drizzled/sort_field.h'
--- drizzled/sort_field.h	2011-03-14 05:40:28 +0000
+++ drizzled/sort_field.h	2011-03-28 23:02:08 +0000
@@ -21,11 +21,7 @@
 
 #include <drizzled/item_result.h>
 
-namespace drizzled
-{
-
-class Field;
-class Item;
+namespace drizzled {
 
 /**
  * A structure used to describe sort information

=== modified file 'drizzled/sql_base.h'
--- drizzled/sql_base.h	2011-03-28 02:46:21 +0000
+++ drizzled/sql_base.h	2011-03-28 23:02:08 +0000
@@ -27,10 +27,7 @@
 
 #include <drizzled/visibility.h>
 
-namespace drizzled
-{
-class TableShare;
-class Name_resolution_context;
+namespace drizzled {
 
 void table_cache_free(void);
 bool table_cache_init(void);

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2011-03-28 02:46:21 +0000
+++ drizzled/sql_lex.h	2011-03-28 23:02:08 +0000
@@ -35,14 +35,6 @@
 
 namespace drizzled {
 
-namespace plugin { class Function; }
-namespace statement { class Statement; }
-
-  namespace message
-  {
-    class AlterTable;
-  }
-
 class st_lex_symbol;
 class select_result_interceptor;
 
@@ -230,9 +222,6 @@
     Base class for Select_Lex (Select_Lex) &
     Select_Lex_Unit (Select_Lex_Unit)
 */
-class LEX;
-class Select_Lex;
-class Select_Lex_Unit;
 class Select_Lex_Node {
 protected:
   Select_Lex_Node *next, **prev,   /* neighbor list */
@@ -304,10 +293,6 @@
    Select_Lex_Unit - unit of selects (UNION, INTERSECT, ...) group
    Select_Lexs
 */
-class Session;
-class select_result;
-class Join;
-class select_union;
 class Select_Lex_Unit: public Select_Lex_Node {
 protected:
   TableList result_table_list;

=== modified file 'drizzled/sql_load.h'
--- drizzled/sql_load.h	2011-03-14 05:40:28 +0000
+++ drizzled/sql_load.h	2011-03-28 23:02:08 +0000
@@ -23,14 +23,7 @@
 #include <drizzled/sql_list.h>
 #include <drizzled/item.h>
 
-namespace drizzled
-{
-
-class TableList;
-class file_exchange;
-class Session;
-class Table;
-class CopyInfo;
+namespace drizzled {
 
 int load(Session *session, file_exchange *ex, TableList *table_list,
                List<Item> &fields_vars, List<Item> &set_fields,

=== modified file 'drizzled/sql_parse.h'
--- drizzled/sql_parse.h	2011-03-28 02:46:21 +0000
+++ drizzled/sql_parse.h	2011-03-28 23:02:08 +0000
@@ -30,17 +30,7 @@
 #include <drizzled/error_t.h>
 #include <drizzled/visibility.h>
 
-namespace drizzled
-{
-
-class Session;
-class TableList;
-class Lex_input_stream;
-class Item;
-class LEX;
-class Table_ident;
-class Select_Lex;
-struct charset_info_st;
+namespace drizzled {
 
 DRIZZLED_API const std::string &getCommandName(const enum_server_command& command);
 

=== modified file 'drizzled/sql_select.h'
--- drizzled/sql_select.h	2011-03-14 05:40:28 +0000
+++ drizzled/sql_select.h	2011-03-28 23:02:08 +0000
@@ -33,13 +33,7 @@
 
 #include <vector>
 
-namespace drizzled
-{
-
-class Item_func;
-class Select_Lex_Unit;
-class select_result;
-class st_dynamic_array;
+namespace drizzled {
 
 /**
  * @file API and Classes to use when handling where clause

=== modified file 'drizzled/sql_sort.h'
--- drizzled/sql_sort.h	2011-03-14 05:40:28 +0000
+++ drizzled/sql_sort.h	2011-03-28 23:02:08 +0000
@@ -21,19 +21,10 @@
 
 #include <unistd.h>
 #include <drizzled/base.h>
+#include <drizzled/common_fwd.h>
 #include <drizzled/qsort_cmp.h>
 
-namespace drizzled
-{
-
-namespace internal
-{
-typedef struct st_io_cache IO_CACHE;
-}
-
-class Field;
-class Table;
-class SortField;
+namespace drizzled {
 
 /*
    The structure sort_addon_field describes a fixed layout

=== modified file 'drizzled/sql_string.h'
--- drizzled/sql_string.h	2011-03-28 02:46:21 +0000
+++ drizzled/sql_string.h	2011-03-28 23:02:08 +0000
@@ -34,15 +34,10 @@
 #define NOT_FIXED_DEC			(uint8_t)31
 #endif
 
-namespace drizzled
-{
-
-class String;
-struct charset_info_st;
+namespace drizzled {
 
 extern DRIZZLED_API String my_empty_string;
 extern const String my_null_string;
-namespace memory { class Root; }
 
 DRIZZLED_API std::string String_to_std_string(String const& s);
 DRIZZLED_API String* set_String_from_std_string(String* s, std::string const& cs);

